PDF fonts must be in UTF-8
Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version:

Description

When export Issues which is non english writed encoding must be in Unicode. Look in attached PDF file which is wrong
and then another one for example which is correct.

Related issues:

Has duplicate Redmine - Defect #61: Broken character encoding in pdf export Closed
Has duplicate Redmine - Defect #2037: Exporting tickets view to PDF with utf-... Closed 2008-10-16
History

#1 - 2007-08-01 16:26 - Jean-Philippe Lang

| can't fix this problem for now.
The pdf library used in Redmine (RFPDF) doesn't support unicode.

#2 - 2007-08-07 07:46 - Balazs Dan
Hello Jean-Philippe!

Ed Moss continuing the RFPDF development and now it is supporting
Unicode! You can download the latest from
http:/rfpdf.googlecode.com/svn/

Well, it is in beta now, but one day it will be released and

solve the problem! Hopefully soon :)

#3 - 2007-09-04 04:02 - lon Mudreac

| have same problem for Japanese language can not export pdf
with Japanese characters,

How can [ fix this problem ?

Thax

#4 - 2007-09-05 14:58 - Jean-Philippe Lang

Ed Moss continuing the RFPDF development and now it is
supporting Unicode! You can download the latest from
http:/rfpdf.googlecode.com/svn/

I've just tried it. No way to generate a valid pdf :-(
The example doesn't even work for me.

#5 - 2008-01-18 04:30 - Alex Aktion

| also have wrong encoding for russian letters PDF export =(

#6 - 2008-01-18 05:05 - Alex Aktion

| also have wrong encoding for russian letters PDF export =(

#7 - 2008-11-16 16:19 - Jan Topinski
For the fix see #61

#8 - 2009-01-18 12:56 - Jean-Philippe Lang
http://rfpdf.googlecode.com/svn/
http://rfpdf.googlecode.com/svn/
https://www.redmine.org/issues/61

- Status changed from New to Closed

- Resolution set to Duplicate

Dup of #61.
